OpenTTD Source: TCPQueryConnecter Class Reference

OpenTTD Source 14.0-beta3

Public Member Functions | Private Attributes
TCPQueryConnecter Class Reference

Non blocking connection to query servers for their game info. More...

Inheritance diagram for TCPQueryConnecter:

## Public Member Functions
| TCPQueryConnecter (const std::string &connection_string)
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
Public Member Functions inherited from TCPServerConnecter
| TCPServerConnecter (const std::string &connection_string, uint16_t default_port)
| Create a new connecter for the server. More...
void | SetConnected (SOCKET sock)
| The connection was successfully established. More...
void | SetFailure ()
| The connection couldn't be established.
Public Member Functions inherited from TCPConnecter
| TCPConnecter (const std::string &connection_string, uint16_t default_port, const NetworkAddress &bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address. More...
virtual void | OnConnect ([[maybe_unused]] SOCKET s)
| Callback when the connection succeeded. More...
void | Kill ()
| Kill this connecter. More...

## Private Attributes
std::string | connection_string

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts.
template<class T , typename... Args>
static std::shared_ptr< TCPConnecter > | Create (Args &&... args)
| Create the connecter, and initiate connecting by putting it in the collection of TCP connections to make. More...
Data Fields inherited from TCPServerConnecter
ServerAddress | server_address
| Address we are connecting to.

## Detailed Description

Non blocking connection to query servers for their game info.

Definition at line 627 of file network.cpp.

The documentation for this class was generated from the following file:

- src/network/network.cpp